/*
 *  msg2.c
 *  Copyright 2009 Dennis Schulmeister <dennis()ncc-1701a.homelinux.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 */

/* libc standard */
#include <string.h>

/* Non-standard library */
#include <caca0.h> /* libcaca-dev */

char *message1 = "Press ESC to exit";

void msg2() {
    int width  = caca_get_width();

    caca_set_color(CACA_COLOR_YELLOW, CACA_COLOR_BLUE);
    caca_draw_thin_box(3, 5, (width - 6), 3);

    int i;
    for (i = 4; i <= width - 5; i++) {
        caca_putstr(i, 6, " ");
    }

    caca_putstr((width - strlen(message1)) / 2, 6, message1);
}

