/*
 *  msg1.c
 *  Copyright 2009 Dennis Schulmeister <dennis()ncc-1701a.homelinux.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 */

/* libc standard */
#include <string.h>

/* Non-standard library */
#include <caca0.h> /* libcaca-dev */

void msg1() {
    int width  = caca_get_width();

    caca_set_color(CACA_COLOR_RED, CACA_COLOR_BLACK);
    caca_draw_thin_box(1, 1, (width - 2), 3);

    int i;
    for (i = 1; i <= width - 2; i++) {
        caca_putstr(i, 2, " ");
    }

    char *message = "Hello, World!";
    caca_putstr((width - strlen(message)) / 2, 2, message);
}

